## poco 1.4.3p1

=== Makefile ===
#
# Makefile
#
# The global Makefile for POCO [generated by mkrelease]
#

sinclude config.make

ifndef POCO_BASE
$(warning WARNING: POCO_BASE is not defined. Assuming current directory.)
export POCO_BASE=$(shell pwd)
endif

ifndef POCO_PREFIX
export POCO_PREFIX=/usr/local
endif

ifndef POCO_BUILD
export POCO_BUILD=$(POCO_BASE)
endif

.PHONY: all libexecs cppunit tests samples clean distclean install

all: libexecs tests samples

INSTALLDIR = $(DESTDIR)$(POCO_PREFIX)
COMPONENTS = Foundation XML Util Net Crypto NetSSL_OpenSSL Data Data/SQLite Data/ODBC Data/MySQL Zip PageCompiler PageCompiler/File2Page

cppunit:
	$(MAKE) -C $(POCO_BASE)/CppUnit 

install: libexecs
	mkdir -p $(INSTALLDIR)/include/Poco
	mkdir -p $(INSTALLDIR)/lib
	mkdir -p $(INSTALLDIR)/bin
	for comp in $(COMPONENTS) ; do \
		if [ -d "$(POCO_BASE)/$$comp/include" ] ; then \
			cp -Rf $(POCO_BASE)/$$comp/include/* $(INSTALLDIR)/include/ ; \
		fi ; \
		if [ -d "$(POCO_BUILD)/$$comp/bin" ] ; then \
			find $(POCO_BUILD)/$$comp/bin -perm -700 -type f -exec cp -f {} $(INSTALLDIR)/bin \; ; \
		fi ; \
	done
	find $(POCO_BUILD)/lib -name "libPoco*" -type f -exec cp -f {} $(INSTALLDIR)/lib \;
	find $(POCO_BUILD)/lib -name "libPoco*" -type l -exec cp -Rf {} $(INSTALLDIR)/lib \;

libexecs =  Foundation-libexec XML-libexec Util-libexec Net-libexec Crypto-libexec NetSSL_OpenSSL-libexec Data-libexec Data/SQLite-libexec Data/ODBC-libexec Data/MySQL-libexec Zip-libexec PageCompiler-libexec PageCompiler/File2Page-libexec
tests    =  Foundation-tests XML-tests Util-tests Net-tests Crypto-tests NetSSL_OpenSSL-tests Data-tests Data/SQLite-tests Data/ODBC-tests Data/MySQL-tests Zip-tests
samples  =  Foundation-samples XML-samples Util-samples Net-samples Crypto-samples NetSSL_OpenSSL-samples Data-samples Zip-samples PageCompiler-samples

.PHONY: $(libexecs)
.PHONY: $(tests)
.PHONY: $(samples)

libexecs: $(filter-out $(foreach f,$(OMIT),$f%),$(libexecs))
tests: $(filter-out $(foreach f,$(OMIT),$f%),$(tests))
samples: $(filter-out $(foreach f,$(OMIT),$f%),$(samples))

Foundation-libexec: 
	$(MAKE) -C $(POCO_BASE)/Foundation

Foundation-tests: Foundation-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Foundation/testsuite
	
Foundation-samples: Foundation-libexec 
	$(MAKE) -C $(POCO_BASE)/Foundation/samples

XML-libexec:  Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/XML

XML-tests: XML-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/XML/testsuite
	
XML-samples: XML-libexec 
	$(MAKE) -C $(POCO_BASE)/XML/samples

Util-libexec:  Foundation-libexec XML-libexec
	$(MAKE) -C $(POCO_BASE)/Util

Util-tests: Util-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Util/testsuite
	
Util-samples: Util-libexec 
	$(MAKE) -C $(POCO_BASE)/Util/samples

Net-libexec:  Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/Net

Net-tests: Net-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Net/testsuite
	
Net-samples: Net-libexec  Foundation-libexec XML-libexec Util-libexec
	$(MAKE) -C $(POCO_BASE)/Net/samples

Crypto-libexec:  Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/Crypto

Crypto-tests: Crypto-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Crypto/testsuite
	
Crypto-samples: Crypto-libexec  Foundation-libexec Util-libexec
	$(MAKE) -C $(POCO_BASE)/Crypto/samples

NetSSL_OpenSSL-libexec:  Foundation-libexec Net-libexec Util-libexec Crypto-libexec
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL

NetSSL_OpenSSL-tests: NetSSL_OpenSSL-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL/testsuite
	
NetSSL_OpenSSL-samples: NetSSL_OpenSSL-libexec 
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL/samples

Data-libexec:  Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/Data

Data-tests: Data-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Data/testsuite
	
Data-samples: Data-libexec  Data-libexec Data/SQLite-libexec
	$(MAKE) -C $(POCO_BASE)/Data/samples

Data/SQLite-libexec:  Foundation-libexec Data-libexec
	$(MAKE) -C $(POCO_BASE)/Data/SQLite

Data/SQLite-tests: Data/SQLite-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Data/SQLite/testsuite

Data/ODBC-libexec:  Foundation-libexec Data-libexec
	$(MAKE) -C $(POCO_BASE)/Data/ODBC

Data/ODBC-tests: Data/ODBC-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Data/ODBC/testsuite

Data/MySQL-libexec:  Foundation-libexec Data-libexec
	$(MAKE) -C $(POCO_BASE)/Data/MySQL

Data/MySQL-tests: Data/MySQL-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Data/MySQL/testsuite

Zip-libexec:  Foundation-libexec Net-libexec Util-libexec XML-libexec
	$(MAKE) -C $(POCO_BASE)/Zip

Zip-tests: Zip-libexec cppunit
	$(MAKE) -C $(POCO_BASE)/Zip/testsuite
	
Zip-samples: Zip-libexec 
	$(MAKE) -C $(POCO_BASE)/Zip/samples

PageCompiler-libexec:  Net-libexec Util-libexec XML-libexec Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/PageCompiler
	
PageCompiler-samples: PageCompiler-libexec 
	$(MAKE) -C $(POCO_BASE)/PageCompiler/samples

PageCompiler/File2Page-libexec:  Net-libexec Util-libexec XML-libexec Foundation-libexec
	$(MAKE) -C $(POCO_BASE)/PageCompiler/File2Page

clean:
	$(MAKE) -C $(POCO_BASE)/Foundation clean
	$(MAKE) -C $(POCO_BASE)/Foundation/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Foundation/samples clean
	$(MAKE) -C $(POCO_BASE)/XML clean
	$(MAKE) -C $(POCO_BASE)/XML/testsuite clean
	$(MAKE) -C $(POCO_BASE)/XML/samples clean
	$(MAKE) -C $(POCO_BASE)/Util clean
	$(MAKE) -C $(POCO_BASE)/Util/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Util/samples clean
	$(MAKE) -C $(POCO_BASE)/Net clean
	$(MAKE) -C $(POCO_BASE)/Net/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Net/samples clean
	$(MAKE) -C $(POCO_BASE)/Crypto clean
	$(MAKE) -C $(POCO_BASE)/Crypto/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Crypto/samples clean
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL clean
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL/testsuite clean
	$(MAKE) -C $(POCO_BASE)/NetSSL_OpenSSL/samples clean
	$(MAKE) -C $(POCO_BASE)/Data clean
	$(MAKE) -C $(POCO_BASE)/Data/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Data/samples clean
	$(MAKE) -C $(POCO_BASE)/Data/SQLite clean
	$(MAKE) -C $(POCO_BASE)/Data/SQLite/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Data/ODBC clean
	$(MAKE) -C $(POCO_BASE)/Data/ODBC/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Data/MySQL clean
	$(MAKE) -C $(POCO_BASE)/Data/MySQL/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Zip clean
	$(MAKE) -C $(POCO_BASE)/Zip/testsuite clean
	$(MAKE) -C $(POCO_BASE)/Zip/samples clean
	$(MAKE) -C $(POCO_BASE)/PageCompiler clean
	$(MAKE) -C $(POCO_BASE)/PageCompiler/samples clean
	$(MAKE) -C $(POCO_BASE)/PageCompiler/File2Page clean
	$(MAKE) -C $(POCO_BASE)/CppUnit clean

distclean:
	rm -rf $(POCO_BUILD)/lib
	find $(POCO_BUILD) -name obj -type d -print0 | xargs -0 rm -rf
	find $(POCO_BUILD) -name .dep -type d -print0 | xargs -0 rm -rf
	find $(POCO_BUILD) -name bin -type d -print0 | xargs -0 rm -rf

=== Crypto/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Crypto/Makefile#1 $
#
# Makefile for Poco Crypto
#

include $(POCO_BASE)/build/rules/global

SYSLIBS += -lssl -lcrypto

objects = Cipher CipherFactory CipherImpl CipherKey CipherKeyImpl CryptoStream CryptoTransform \
	RSACipherImpl RSAKey RSAKeyImpl RSADigestEngine \
	X509Certificate OpenSSLInitializer

target         = PocoCrypto
target_version = $(LIBVERSION)
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/lib

=== Data/MySQL/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Data/MySQL/Makefile#2 $
#
# Makefile for Poco MySQL
#

include $(POCO_BASE)/build/rules/global

SYSLIBS += -L/usr/local/lib/mysql -L/usr/lib/mysql -L/usr/mysql/lib/mysql -L/usr/local/mysql/lib -lmysqlclient
INCLUDE += -I/usr/local/include/mysql/ -I/usr/include/mysql -I/usr/mysql/include/mysql -I/usr/local/mysql/include
SYSFLAGS += -DTHREADSAFE -DNO_TCL

objects = Binder Extractor SessionImpl Connector \
	MySQLStatementImpl ResultMetadata MySQLException \
	SessionHandle StatementExecutor

target         = PocoDataMySQL
target_version = $(LIBVERSION)
target_libs    = PocoData PocoFoundation

include $(POCO_BASE)/build/rules/lib

=== Data/ODBC/Makefile ===
#
# Makefile
#
# $Id: //poco/Main/Data/ODBC/Makefile#2 $
#
# Makefile for Poco ODBC
#

include $(POCO_BASE)/build/rules/global

# adjust for the target system (usually '/usr/lib' or '/usr/local/lib')
ODBCLIBDIR = /usr/lib

INCLUDE += -I/usr/local/include -I/usr/include -I/usr/include/odbc -I/usr/local/include/odbc
SYSLIBS += -L/usr/local/lib/odbc -L/usr/lib/odbc -L/usr/lib -L/usr/local/lib

ifeq ($(POCO_CONFIG),MinGW)
# Lack of unixODBC or iODBC is not an error for MinGW platform since it uses Windows odbc32.lib
else
ifeq ($(POCO_CONFIG),CYGWIN)
# -DODBCVER=0x0300: SQLHandle declaration issue
# -DNOMINMAX      : MIN/MAX macros defined in windows conflict with libstdc++
CXXFLAGS += -DODBCVER=0x0300 -DNOMINMAX
# CYGWIN platform has its own ODBC library in /lib/w32api 
SYSLIBS += -L/lib/w32api -lodbc32 -lodbccp32
else
ifeq (0, $(shell test -e $(ODBCLIBDIR)/libodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -lodbc -lodbcinst
COMMONFLAGS += -DPOCO_UNIXODBC
else
ifeq (0, $(shell test -h $(ODBCLIBDIR)/libodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -lodbc -lodbcinst
COMMONFLAGS += -DPOCO_UNIXODBC
else
ifeq (0, $(shell test -e $(ODBCLIBDIR)/libiodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -liodbc -liodbcinst
COMMONFLAGS += -DPOCO_IODBC
else
ifeq (0, $(shell test -h $(ODBCLIBDIR)/libiodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -liodbc -liodbcinst
COMMONFLAGS += -DPOCO_IODBC
else
$(error No ODBC library found. Please install unixODBC or iODBC and try again)
endif
endif
endif
endif
endif
endif

objects = Binder ConnectionHandle Connector DataTypes EnvironmentHandle \
	Extractor ODBCColumn ODBCException ODBCStatementImpl \
	Parameter Preparation SessionImpl Utility 

target         = PocoDataODBC
target_version = $(LIBVERSION)
target_libs    = PocoData PocoFoundation

include $(POCO_BASE)/build/rules/lib

=== Data/ODBC/testsuite/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Data/ODBC/testsuite/Makefile#2 $
#
# Makefile for Poco SQLite testsuite
#

include $(POCO_BASE)/build/rules/global

# adjust for the target system (usually '/usr/lib' or '/usr/local/lib')
ODBCLIBDIR = /usr/lib

INCLUDE += -I/usr/local/include -I/usr/include -I/usr/include/odbc -I/usr/local/include/odbc
SYSLIBS += -L/usr/local/lib/odbc -L/usr/lib/odbc -L/usr/lib -L/usr/local/lib

ifeq ($(POCO_CONFIG),MinGW)
# Lack of unixODBC or iODBC is not an error for MinGW platform since it uses Windows odbc32.lib
else
ifeq ($(POCO_CONFIG),CYGWIN)
# -DODBCVER=0x0300: SQLHandle declaration issue
# -DNOMINMAX      : MIN/MAX macros defined in windows conflict with libstdc++
CXXFLAGS += -DODBCVER=0x0300 -DNOMINMAX
# CYGWIN platform has its own ODBC library in /lib/w32api
SYSLIBS += -L/lib/w32api -lodbc32 -lodbccp32
else
ifeq (0, $(shell test -e $(ODBCLIBDIR)/libodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -lodbc -lodbcinst
COMMONFLAGS += -DPOCO_UNIXODBC
else
ifeq (0, $(shell test -h $(ODBCLIBDIR)/libodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -lodbc -lodbcinst
COMMONFLAGS += -DPOCO_UNIXODBC
else
ifeq (0, $(shell test -e $(ODBCLIBDIR)/libiodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -liodbc -liodbcinst
COMMONFLAGS += -DPOCO_IODBC
else
ifeq (0, $(shell test -h $(ODBCLIBDIR)/libiodbc$(SHAREDLIBLINKEXT); echo $$?))
SYSLIBS += -liodbc -liodbcinst
COMMONFLAGS += -DPOCO_IODBC
else
$(error No ODBC library found. Please install unixODBC or iODBC and try again)
endif
endif
endif
endif
endif
endif

objects = ODBCTestSuite Driver \
	ODBCDB2Test ODBCMySQLTest ODBCOracleTest \
	ODBCPostgreSQLTest ODBCSQLiteTest ODBCSQLServerTest SQLExecutor

ifeq ($(POCO_CONFIG),MinGW)
    objects += ODBCAccessTest ODBCSQLServerTest
endif

target         = testrunner
target_version = 1
target_libs    = PocoDataODBC PocoData PocoFoundation CppUnit

include $(POCO_BASE)/build/rules/exec

=== Data/samples/Binding/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Data/samples/Binding/Makefile#2 $
#
# Makefile for Poco Data Binding sample
#

include $(POCO_BASE)/build/rules/global

objects = Binding

target         = Binding
target_version = 1
target_libs    = PocoDataSQLite PocoData PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== NetSSL_OpenSSL/samples/Mail/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Net/samples/Mail/Makefile#1 $
#
# Makefile for Poco Mail
#

include $(POCO_BASE)/build/rules/global

objects = Mail

target         = Mail
target_version = 1
target_libs    = PocoNetSSL PocoNet PocoCrypto PocoUtil PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== PageCompiler/samples/HTTPTimeServer/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/PageCompiler/samples/HTTPTimeServer/Makefile#1 $
#
# Makefile for Poco HTTPTimeServer
#

include $(POCO_BASE)/build/rules/global

# Where to find the PageCompiler executable
PAGECOMPILER = $(POCO_BASE)/PageCompiler/bin/$(POCO_HOST_OSNAME)/$(POCO_HOST_OSARCH)/cpspc

objects = HTTPTimeServerApp TimeHandler

target         = HTTPTimeServer
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

# Rule for runnning PageCompiler
src/%.cpp: src/%.cpsp
	@echo "** Compiling Page" $<
	$(PAGECOMPILER) $<

=== Zip/samples/unzip/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Zip/samples/unzip/Makefile#1 $
#
# Makefile for Poco SampleServer
#

include $(POCO_BASE)/build/rules/global

objects = unzip

target         = unzip
target_version = 1
target_libs    = PocoZip PocoUtil PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== debian/changelog ===
poco (1.4.3p1-1) experimental; urgency=low

  * New Upstream Version
  * debian/changelog: fix debian-changelog-line-too-long.
  * debian/control: bump up libraries SONAME.

 -- Cristian Greco <cristian@debian.org>  Fri, 11 Mar 2012 16:57:34 +0100

poco (1.4.2p1-10) experimental; urgency=low

  * debian/patches:
    - set forward url for some patches.
    - fix-odbc-testsuite-armel.patch: drop patch, pretty useless (see next).
    - honor-buildflags.patch: updated. Try to append (not prepend) flags where
      possible, and also remove the -Ox flags set by upstream. This should fix
      build failures on armel (second attempt).
    - fix-mipsel-endianness.patch: new patch, correctly detect mipsel
      architecture.

 -- Cristian Greco <cristian@debian.org>  Thu, 12 Jan 2012 22:25:32 +0100

poco (1.4.2p1-9) experimental; urgency=low

  * fix-odbc-testsuite-armel.patch: new patch, disable building of
    the Data/ODBC/SQLExecutor test object on armel.
  * debian/testrunner.sh:
    - copy additional test files from data/ dir, if any. This should fix
      the SharedMemoryTest::testCreateFromFile test.
    - also enable Zip library tests (which will now succeed thanks
      to the previous change).

 -- Cristian Greco <cristian@debian.org>  Mon, 09 Jan 2012 14:04:30 +0100

poco (1.4.2p1-8) experimental; urgency=low

  * debian/rules:
    - disable parallel builds on armel and mipsel, this should hopefully
      fix (test) build failures.
    - also reset LDFLAGS when building tests.
    - drop extra --no-fpenvironment option now that arm is gone.

 -- Cristian Greco <cristian@debian.org>  Sat, 31 Dec 2011 19:23:32 +0100

poco (1.4.2p1-7) experimental; urgency=low

  * fix-kfreebsd-ftbfs.patch: fix the patch so that code now builds and *works*.

 -- Cristian Greco <cristian@debian.org>  Sat, 31 Dec 2011 02:10:43 +0100

=== debian/control ===
Source: poco
Priority: optional
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Uploaders: Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dpkg-dev (>= 1.16.1~),
               libexpat1-dev,
               libmysqlclient-dev,
               libpcre3-dev (>= 7.8),
               libsqlite3-dev (>= 3.6.13),
               libssl-dev (>= 0.9.8),
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://poco.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/poco.git
Vcs-Git: git://git.debian.org/git/collab-maint/poco.git

Package: libpoco-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpococrypto12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), libpocofoundation12 (= ${binary:Version}), libpocodatamysql12 (= ${binary:Version}), libpoconet12 (= ${binary:Version}), libpoconetssl12 (= ${binary:Version}), libpocodataodbc12 (= ${binary:Version}), libpocodatasqlite12 (= ${binary:Version}), libpocoutil12 (= ${binary:Version}), libpocoxml12 (= ${binary:Version}), libpocozip12 (= ${binary:Version})
Suggests: libpoco-doc, libpococrypto12-dbg (= ${binary:Version}), libpocodata12-dbg (= ${binary:Version}), libpocofoundation12-dbg (= ${binary:Version}), libpocodatamysql12-dbg (= ${binary:Version}), libpoconet12-dbg (= ${binary:Version}), libpoconetssl12-dbg (= ${binary:Version}), libpocodataodbc12-dbg (= ${binary:Version}), libpocodatasqlite12-dbg (= ${binary:Version}), libpocoutil12-dbg (= ${binary:Version}), libpocoxml12-dbg (= ${binary:Version}), libpocozip12-dbg (= ${binary:Version})
Provides: libpoco5-dev
Conflicts: libpoco5-dev
Replaces: libpoco5-dev
Description: C++ Portable Components (POCO) Development files
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 POCO consists of four core libraries, and a number of add-on libraries. The
 core libraries are Foundation, XML, Util and Net. Two of the add-on libraries
 are NetSSL, providing SSL support for the network classes in the Net library,
 and Data, a library for uniformly accessing different SQL databases.

Package: libpococrypto12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpococrypto12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Crypto library.

Package: libpococrypto12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Crypto library.

Package: libpocodata12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodata12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data library.

Package: libpocodata12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data library.

Package: libpocodatamysql12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodatamysql12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data MySQL library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data MySQL library.

Package: libpocodatamysql12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data MySQL library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data MySQL library.

Package: libpocodataodbc12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodataodbc12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data ODBC library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data ODBC library.

Package: libpocodataodbc12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) ODBC library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data ODBC library. In Debian, it is linked
 against unixODBC but also iODBC can be used instead.

Package: libpocodatasqlite12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodatasqlite12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data SQLite library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data SQLite library.

Package: libpocodatasqlite12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data SQLite library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data SQLite library.

Package: libpocofoundation12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Foundation library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
